> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a person activity

> Retrieves a person activity by ID with its content in both HTML and raw text formats



## OpenAPI

````yaml GET /v0/person-activities/{id}
openapi: 3.1.0
info:
  title: Stardex API (v0)
  version: 0.0.1
  description: Stardex ATS legacy API.
servers:
  - url: https://api.stardex.ai
    description: Production API server
security:
  - bearerAuth: []
tags: []
paths:
  /v0/person-activities/{id}:
    get:
      tags:
        - people
        - activities
      summary: Get a person activity
      description: >-
        Retrieves a person activity by ID with its content in both HTML and raw
        text formats
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnifiedGetPersonActivityResponse'
        '404':
          description: Activity not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnifiedGetPersonActivityResponse'
components:
  schemas:
    UnifiedGetPersonActivityResponse:
      type: object
      properties:
        error:
          type:
            - string
            - 'null'
        data:
          allOf:
            - $ref: '#/components/schemas/GetPersonActivityData'
            - type:
                - object
                - 'null'
      required:
        - error
        - data
    GetPersonActivityData:
      type: object
      properties:
        id:
          type: string
        person_id:
          type: string
        activity_type:
          type: string
        activity_content:
          type: string
          description: Content in HTML format
        activity_raw_content:
          type: string
          description: Plain text content
        created_at:
          type: string
      required:
        - id
        - person_id
        - activity_type
        - activity_content
        - activity_raw_content
        - created_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Authenticate with a Bearer token: API key, OAuth token, or session
        token.

````